import 'package:flutter/material.dart';




class BeautifulContainer extends StatefulWidget {
  const BeautifulContainer({
    Key? key,
    this.height = 120.0,
    this.width,
    this.color1,
    this.color2,
    this.title = "Title",
    this.textColor = Colors.white70,
    this.subtitle = "Subtitle",
    this.subtitleColor = Colors.white70,
    this.padding,
  }) : super(key: key);

  final double? width;
  final double height;
  final Color? color1;
  final Color? color2;
  final String title;
  final Color? textColor;
  final String subtitle;
  final Color? subtitleColor;
  final EdgeInsetsGeometry? padding;

  @override
  _BeautifulContainerState createState() => _BeautifulContainerState();
}

class _BeautifulContainerState extends State<BeautifulContainer> {
  @override
  Widget build(BuildContext context) {
    return Container(
      width: widget.width??MediaQuery.of(context).size.width * 0.90,
      height: widget.height,
      decoration: BoxDecoration(
        borderRadius: const BorderRadius.all(const Radius.circular(20.0)),
        gradient: LinearGradient(
            colors: [widget.color1??const Color(0xFF0093E9), widget.color2??const Color(0xFF80D0C7)],
            begin: Alignment.topLeft,
            end: Alignment.bottomRight),
        boxShadow: [
          const BoxShadow(
            color: Colors.grey,
            blurRadius: 12,
            offset: Offset(0, 6),
          ),
        ],
      ),
      child: Column(
        mainAxisAlignment: MainAxisAlignment.center,
        crossAxisAlignment: CrossAxisAlignment.center,
        children: [
          Padding(
            padding: const EdgeInsets.all(5.0),
            child: Text(
              '${widget.title}',
              style: TextStyle(
                color: widget.textColor,
                fontSize: 20.0,
                fontWeight: FontWeight.bold,
              ),
            ),
          ),
          Padding(
            padding: const EdgeInsets.all(5.0),
            child: Text(
              widget.subtitle,
              style: TextStyle(
                color: widget.subtitleColor,
                fontSize: 15.0,
                // fontFamily: 'Montserrat',
              ),
            ),
          ),
        ],
      ),
    );
  }
}